Bug 211726 - Review Request: gcstar - Personal collections manager
Review Request: gcstar - Personal collections manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-21 06:58 EDT by Christian Jodar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 06:48:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Jodar 2006-10-21 06:58:25 EDT
Spec URL: http://www.gcstar.org/fedora/gcstar.spec
SRPM URL: http://www.gcstar.org/fedora/gcstar-0.5.0-1.src.rpm
Description: GCstar is an application for managing your personal collections.
Detailed information on each item can be automatically retrieved
from the internet and you can store additional data, depending on
the collection type. And also who you've lent your them to. You
may also search and filter your collection by criteria.
Comment 1 Christian Jodar 2006-10-21 07:03:16 EDT
GCstar is based on GCfilms and will replace it (for the moment both of them are
maintained). GCfilms has already been included in Fedora Extras. So the .spec
file here is quite similar to the GCfilms one. The main difference is that
GCstar includes a man page.

Thanks.
Comment 2 Gérard Milmeister 2006-10-21 08:14:27 EDT
rpmlint gcstar-0.5.0-1.src.rpm:
W: gcstar setup-not-quiet
add -q to the %setup macro

rpmlint gcstar-0.5.0-1.noarch.rpm
E: gcstar only-non-binary-in-usr-lib
probably should put the directories in /usr/lib/gcfilms into /usr/share/gcfilms
as well and remove /usr/lib/gcfilms

The .desktop file references /usr/share/gcstar/icons/gcstar.png which doesn not
exist.
The vendor for the .deskop file must be "fedora"

For FC5+, there is no need for the Req desktop-files-utils, shared-mime-info,
see also
http://www.fedoraproject.org/wiki/Packaging/ScriptletSnippets?highlight=%28update-desktop-database%29#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef

If this issues are also present in gcfilms, they should be taken care of there too.
Comment 3 Christian Jodar 2006-10-21 15:51:04 EDT
Thank you for your review.

I updated .spec and .src.rpm. The new files are here:

Spec URL: http://www.gcstar.org/fedora/gcstar.spec
SRPM URL: http://www.gcstar.org/fedora/gcstar-0.5.0-2.src.rpm

I removed also "BuildRequires: desktop-files-utils" that was not mentioned on
the linked page as I supposed it was not needed also from FC5.

Concerning the rpmlint error with non binary files, I don't think it is an issue
(but I may be wrong and it should be perhaps be discussed on the fedora-extras
mailing list). The files are some Perl libraries. So they are not binary files
but only some text files. But for upstream package, they should be in the lib
directory because it's where it looks for them. Please let me know if this is
really blocking and if Ishould initiate a discussion about this.
Comment 4 Gérard Milmeister 2006-10-21 17:38:04 EDT
(In reply to comment #3)
> I removed also "BuildRequires: desktop-files-utils" that was not mentioned on
> the linked page as I supposed it was not needed also from FC5.
No, this is needed, at least on FC5.
Comment 5 Christian Jodar 2006-10-22 12:41:12 EDT
I restored BuildRequires. The files are here:

Spec URL: http://www.gcstar.org/fedora/gcstar.spec
SRPM URL: http://www.gcstar.org/fedora/gcstar-0.5.0-3.src.rpm

So there is only the problem with .pm files in lib directory now. Let me know if
you think we should debate about this on the mailing list.
Comment 6 Gérard Milmeister 2006-10-22 13:43:31 EDT
/usr/lib should only platform-dependent files. All other support files should go
to /usr/share. Also I prefer it to be that wat, I would say, leave it as it is
for now (since gcfilms is similar). But it is cetainly worth discussing on
fedora-extras-list. It people come to a conclusion, we should change it that way
and notify upstream.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.